// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.2.0
// :generation date: 2021-03-16 13:39:59
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.org.silastandard.examples.calibrationservicer.v1;

// Feature: Calibration Servicer
//   
//                   Set and retrieve the control parameter values for calibration of the Reglo DC (digital control) pump.
//           Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 15.03.2021.
//   
service CalibrationServicer {
    // Start Calibration Time
    //   
    //           Start calibration using the time defined by "Calibration Time".
    //   
    rpc StartCalibrationTime(sila2.org.silastandard.examples.calibrationservicer.v1.StartCalibrationTime_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.StartCalibrationTime_Responses) {}
    // Start Calibration Volume
    //   
    //           Start calibration using the volume defined by "Calibration Volume".
    //   
    rpc StartCalibrationVolume(sila2.org.silastandard.examples.calibrationservicer.v1.StartCalibrationVolume_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.StartCalibrationVolume_Responses) {}
    // Get Default Flow Rate
    //   
    //           Get the default flow rate [mL/min] of the programmed pump-head and tubing at max. speed (160/100 rpm).
    //   
    rpc GetDefaultFlowRate(sila2.org.silastandard.examples.calibrationservicer.v1.GetDefaultFlowRate_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.GetDefaultFlowRate_Responses) {}
    // Get Calibrated Flow Rate
    //   
    //           Get the calibrated flow rate in mL/min (at max. speed = 160/100 rpm).
    //   
    rpc GetCalibratedFlowRate(sila2.org.silastandard.examples.calibrationservicer.v1.GetCalibratedFlowRate_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.GetCalibratedFlowRate_Responses) {}
    // Set Calibrated Flow Rate
    //   
    //           Set the calibrated flow rate in mL/min (at max. speed = 160/100 rpm). The position of the decimal point depends
    //   on the programmed pump head and tubing.
    //   
    rpc SetCalibratedFlowRate(sila2.org.silastandard.examples.calibrationservicer.v1.SetCalibratedFlowRate_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.SetCalibratedFlowRate_Responses) {}
    // Set Target Volume Value
    //   
    //           Set target volume to pump for calibrating in mL.
    //   
    rpc SetCalibrationTargetVolume(sila2.org.silastandard.examples.calibrationservicer.v1.SetCalibrationTargetVolume_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.SetCalibrationTargetVolume_Responses) {}
    // Set Target Time Value
    //   
    //           Set target time to pump for calibrating in s.
    //   
    rpc SetCalibrationTargetTime(sila2.org.silastandard.examples.calibrationservicer.v1.SetCalibrationTargetTime_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.SetCalibrationTargetTime_Responses) {}
    // Set Actual Volume Value
    //   
    //           Set the actual volume measured during calibration in mL.
    //   
    rpc SetActualVolume(sila2.org.silastandard.examples.calibrationservicer.v1.SetActualVolume_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.SetActualVolume_Responses) {}
    // Get Target Volume
    //   Get target volume to pump for calibrating in mL.
    rpc GetTargetVolume(sila2.org.silastandard.examples.calibrationservicer.v1.GetTargetVolume_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.GetTargetVolume_Responses) {}
    // Set Actual Time Value
    //   
    //           Set the actual time measured during calibration in s.
    //   
    rpc SetActualTime(sila2.org.silastandard.examples.calibrationservicer.v1.SetActualTime_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.SetActualTime_Responses) {}
    // Get Target Time
    //   Get target time to pump for calibrating in s.
    rpc GetTargetTime(sila2.org.silastandard.examples.calibrationservicer.v1.GetTargetTime_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.GetTargetTime_Responses) {}
    // Set Direction Flow for Calibration
    //   
    //           Set direction flow for calibration J or K using DIRECTION format.
    //   
    rpc SetDirectionCalibration(sila2.org.silastandard.examples.calibrationservicer.v1.SetDirectionCalibration_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.SetDirectionCalibration_Responses) {}
    // Get Direction Flow for Calibration
    //   
    //         Get direction flow for calibration (J or K).
    //   
    rpc GetDirectionCalibration(sila2.org.silastandard.examples.calibrationservicer.v1.GetDirectionCalibration_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.GetDirectionCalibration_Responses) {}
    // Get Last Calibration Time
    //   
    //           Get the time of the last calibration.
    //   
    rpc GetLastCalibrationTime(sila2.org.silastandard.examples.calibrationservicer.v1.GetLastCalibrationTime_Parameters) returns (sila2.org.silastandard.examples.calibrationservicer.v1.GetLastCalibrationTime_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message StartCalibrationTime_Parameters {
    
}

message StartCalibrationTime_Responses {
    sila2.org.silastandard.String CalibrationResult = 1;
}

message StartCalibrationVolume_Parameters {
    
}

message StartCalibrationVolume_Responses {
    sila2.org.silastandard.String CalibrationResult = 1;
}

message GetDefaultFlowRate_Parameters {
    
}

message GetDefaultFlowRate_Responses {
    sila2.org.silastandard.Real DefaultFlowRate = 1;
}

message GetCalibratedFlowRate_Parameters {
    
}

message GetCalibratedFlowRate_Responses {
    sila2.org.silastandard.Real CalibratedFlowRate = 1;
}

message SetCalibratedFlowRate_Parameters {
    
}

message SetCalibratedFlowRate_Responses {
    sila2.org.silastandard.Real CalibratedFlowRate = 1;
}

message SetCalibrationTargetVolume_Parameters {
    sila2.org.silastandard.Real TargetVolume = 1;
}

message SetCalibrationTargetVolume_Responses {
    sila2.org.silastandard.String TargetVolumeSet = 1;
}

message SetCalibrationTargetTime_Parameters {
    sila2.org.silastandard.Real TargetTime = 1;
}

message SetCalibrationTargetTime_Responses {
    sila2.org.silastandard.String TargetTimeSet = 1;
}

message SetActualVolume_Parameters {
    sila2.org.silastandard.Real ActualVolume = 1;
}

message SetActualVolume_Responses {
    sila2.org.silastandard.String ActualVolumeSet = 1;
}

message GetTargetVolume_Parameters {
    sila2.org.silastandard.Real TargetVolume = 1;
}

message GetTargetVolume_Responses {
    sila2.org.silastandard.Real CurrentTargetVolume = 1;
}

message SetActualTime_Parameters {
    sila2.org.silastandard.Real ActualTime = 1;
}

message SetActualTime_Responses {
    sila2.org.silastandard.String ActualTimeSet = 1;
}

message GetTargetTime_Parameters {
    sila2.org.silastandard.Real TargetTime = 1;
}

message GetTargetTime_Responses {
    sila2.org.silastandard.Real CurrentTargetTime = 1;
}

message SetDirectionCalibration_Parameters {
    sila2.org.silastandard.String Direction = 1;
}

message SetDirectionCalibration_Responses {
    sila2.org.silastandard.String SetDirectionCalibrationSet = 1;
}

message GetDirectionCalibration_Parameters {
    sila2.org.silastandard.String Direction = 1;
}

message GetDirectionCalibration_Responses {
    sila2.org.silastandard.String CurrentDirectionCalibration = 1;
}

message GetLastCalibrationTime_Parameters {
    
}

message GetLastCalibrationTime_Responses {
    sila2.org.silastandard.String LastCalibrationTime = 1;
}


// ----------------- Metadata Definitions ------------------
